Elipsă 2D

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 23% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Elipsă 2D

poziția meniului
Draft → Ellipse
Workbenches
Draft, Arch
scurtătură
E L
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Circle


Descriere

Instrumentul Ellipse creează o eliptsă în planul curent work plane introducând două puncte, definind colțul unei casete rectangulare în care se va potrivi elipsa. Este nevoie de linewidth and color setată anterior pe fila Activități.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Draft ellipse example.jpg

Draft ellipse example.jpg

Cum se utilizează

  1. Apăsați butonul Draft Ellipse.png Draft Ellipse sau apăsați E apoi tastele L
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un coordinate

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Opţiuni

  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER between each X, Y and Z component.
  • Apăsați Tsau click pe caseta de validare pentru a bifa/debifa butonul Continue . Dacă modul Continuu este activat, instrumentul Ellipse se va reporni după ce dați cel de-al doilea punct, permițându-vă să desenați o altă elipsă fără să apăsați din nou butonul Ellipse.
  • Apăsați CTRL în timp ce desenați pentru a forța punctul snapping punctul dvs. către cea mai apropiată locație, independent de distanță.
  • Apăsați SHIFT în timp ce atrageți la constrain al doilea punct pe orizontală sau pe verticală în raport cu primul.
  • Apăsați I apoi butonul Filled pentru a avea elipsa umplută cu o fațetă după ce a fost închisă
  • Apăsați ESC sau butonul Cancel pentru a abandona comanda.
  • Ellipses, atunci când în modul de afișare "Flat Lines", poate afișa un model de hașură, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

  • DATEMajor Radius: Semiaxa majoră a eleipseiaza majoră a elipsei
  • DATEMinor Radius: Semiaxa minoră a elipsei
  • DATEMake Face: Umple elipsa cu o fațetă
  • VEDEREPattern: Specificați modelul de hașură pentru a umple elipsa cu el
  • VEDEREPattern Size: specificați modelul și mărimea hașurii

See also Draft Pattern page.

Script-Programare

Instrumentul Ellipse poate fi folosit în macros și din consola python utilizând următoarea funcție:

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creează un obiect elipsă cu o semiaxă/rază majoră și semiaxă/minoră dată.
  • Dacă este dată o destinație de plasare, aceasta este utilizată.
  • Dacă facemode este False, elipsa este arătată ca un cadru de sârmă, altfel ca o fațetă.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg